Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
FloatingPoint< RawType > Class Template Reference

`#include <gtest-internal.h>`

## Public Types
typedef TypeWithSize< sizeof(RawType)>::UInt | Bits
typedef TypeWithSize< sizeof(RawType)>::UInt | Bits
typedef TypeWithSize< sizeof(RawType)>::UInt | Bits

## Public Member Functions
| FloatingPoint (const RawType &x)
const Bits & | bits () const
Bits | exponent_bits () const
Bits | fraction_bits () const
Bits | sign_bit () const
bool | is_nan () const
bool | AlmostEquals (const FloatingPoint &rhs) const
| FloatingPoint (const RawType &x)
const Bits & | bits () const
Bits | exponent_bits () const
Bits | fraction_bits () const
Bits | sign_bit () const
bool | is_nan () const
bool | AlmostEquals (const FloatingPoint &rhs) const
| FloatingPoint (const RawType &x)
const Bits & | bits () const
Bits | exponent_bits () const
Bits | fraction_bits () const
Bits | sign_bit () const
bool | is_nan () const
bool | AlmostEquals (const FloatingPoint &rhs) const

## Static Public Member Functions
static RawType | ReinterpretBits (const Bits bits)
static RawType | Infinity ()
static RawType | ReinterpretBits (const Bits bits)
static RawType | Infinity ()
static RawType | ReinterpretBits (const Bits bits)
static RawType | Infinity ()

## Static Public Attributes
static const size_t | kBitCount = 8*sizeof(RawType)
static const size_t | kFractionBitCount
static const size_t | kExponentBitCount = kBitCount - 1 - kFractionBitCount
static const Bits | kSignBitMask = static_cast<Bits>(1) << (kBitCount - 1)
static const Bits | kFractionBitMask
static const Bits | kExponentBitMask = ~(kSignBitMask | kFractionBitMask)
static const size_t | kMaxUlps = 4

## Member Typedef Documentation

typedef TypeWithSize<sizeof(RawType)>::UInt Bits

typedef TypeWithSize<sizeof(RawType)>::UInt Bits

typedef TypeWithSize<sizeof(RawType)>::UInt Bits

## Constructor & Destructor Documentation

FloatingPoint | ( | const RawType & | x | ) |
| inline explicit

FloatingPoint | ( | const RawType & | x | ) |
| inline explicit

FloatingPoint | ( | const RawType & | x | ) |
| inline explicit

## Member Function Documentation

bool AlmostEquals | ( | const FloatingPoint< RawType > & | rhs | ) | const
| inline

bool AlmostEquals | ( | const FloatingPoint< RawType > & | rhs | ) | const
| inline

bool AlmostEquals | ( | const FloatingPoint< RawType > & | rhs | ) | const
| inline

const Bits& bits | ( |  | ) | const
| inline

const Bits& bits | ( |  | ) | const
| inline

const Bits& bits | ( |  | ) | const
| inline

Bits exponent_bits | ( |  | ) | const
| inline

Bits exponent_bits | ( |  | ) | const
| inline

Bits exponent_bits | ( |  | ) | const
| inline

Bits fraction_bits | ( |  | ) | const
| inline

Bits fraction_bits | ( |  | ) | const
| inline

Bits fraction_bits | ( |  | ) | const
| inline

static RawType Infinity | ( |  | ) |
| inline static

static RawType Infinity | ( |  | ) |
| inline static

static RawType Infinity | ( |  | ) |
| inline static

bool is_nan | ( |  | ) | const
| inline

bool is_nan | ( |  | ) | const
| inline

bool is_nan | ( |  | ) | const
| inline

static RawType ReinterpretBits | ( | const Bits | bits | ) |
| inline static

static RawType ReinterpretBits | ( | const Bits | bits | ) |
| inline static

static RawType ReinterpretBits | ( | const Bits | bits | ) |
| inline static

Bits sign_bit | ( |  | ) | const
| inline

Bits sign_bit | ( |  | ) | const
| inline

Bits sign_bit | ( |  | ) | const
| inline

## Member Data Documentation

static const size_t kBitCount = 8*sizeof(RawType)
| static

static const size_t kExponentBitCount = kBitCount - 1 - kFractionBitCount
| static

static const Bits kExponentBitMask = ~(kSignBitMask | kFractionBitMask)
| static

static const size_t kFractionBitCount
| static

Initial value:
=
std::numeric_limits<RawType>::digits - 1

static const Bits kFractionBitMask
| static

Initial value:
=
~static_cast<Bits>(0) >> (kExponentBitCount + 1)

static const size_t kMaxUlps = 4
| static

static const Bits kSignBitMask = static_cast<Bits>(1) << (kBitCount - 1)
| static

The documentation for this class was generated from the following files:

- persistence/rapidjson/thirdparty/gtest/include/gtest/internal/gtest-internal.h
- testing/googleTest/fused-src/gtest/gtest.h